import { Person } from "../../../common/dev/persons/person.resource";
/** @internal */
export declare function getOnePerson(resourceId: string): Promise<Person>;
export declare function createPerson(person: Person): Promise<Person>;
/** @internal */
export declare function createPersonDirectlyInDb(person: Person): Promise<Person>;
/** @internal */
export declare function getPersons(): Promise<Person[]>;
export declare function updatePerson(person: Person): Promise<Person>;
export declare function deletePerson(personId: string): Promise<unknown>;
